import { WinPoint } from "./win-point";

const { ccclass, property } = cc._decorator;

@ccclass
export class BalanceComponent extends cc.Component
{
    @property(WinPoint)
    private winPoint: WinPoint = null;
    @property(cc.Label)
    private labelUserName: cc.Label = null;
    @property(cc.Label)
    private labelBalanceValue: cc.Label = null;
    private balanceValue: number = -1;


    public updateBalance(value: number): void
    {
        if (this.validateWinMoney(value))
        {
            this.showWinPoint(value);
        } else
        {
            this.updateLabelValue(value);
        }
    }

    public updateUserName(value: number): void
    {
        this.labelBalanceValue.string = value.toString();
    }

    private showWinPoint(value: number): void
    {
        this.winPoint.show(value - this.balanceValue, () => { this.updateLabelValue(value) });
    }

    private validateWinMoney(value: number): boolean
    {
        return this.balanceValue != -1 && value > this.balanceValue
    }

    private updateLabelValue(value: number): void
    {
        this.balanceValue = value;
        this.labelBalanceValue.string = value.toFixed(2).toString();
    }
}