import gsap from "gsap";

const { ccclass, property } = cc._decorator;

@ccclass
export class WinPoint extends cc.Component
{
    @property(cc.Label)
    private labelWinPoint: cc.Label = null;

    protected onLoad(): void
    {
        this.node.active = false;
    }

    public show(value: number, callback: Function): void
    {
        this.node.active = true;
        this.labelWinPoint.string = "+" + value.toFixed(2);
        gsap.delayedCall(1, () =>
        {
            this.node.active = false;
        });
    }
}
