
import getDecorators from "inversify-inject-decorators";
import { BalanceModel, container, GAME_VIEW, MODEL } from "../../../plugins/core";
import { BalanceComponent } from "../component/balance-component";

const { ccclass, property } = cc._decorator;
const { lazyInject } = getDecorators(container);
@ccclass
export default class UpdateBalanceValueOnDataChange extends cc.Component implements Core.View.ComponentView
{
    @lazyInject(GAME_VIEW.Balance)
    private gameViewBalance: Core.View.GameView;
    @lazyInject(MODEL.RemainBalance)
    private balanceModel: BalanceModel;

    @property(BalanceComponent)
    private balanceComponent: BalanceComponent = null;

    protected onLoad(): void
    {
        this.gameViewBalance.addComponent(this);
        this.render();
    }

    public render()
    {
        this.balanceComponent.updateBalance(this.balanceModel.totalCredit);
    }
}
