
import getDecorators from "inversify-inject-decorators";
import { container } from "../../../plugins/core";

const { ccclass, property } = cc._decorator;
const { lazyInject } = getDecorators(container, false);

@ccclass
export default class OddsLabelDisplay extends cc.Component
{
    @property(cc.Label)
    labelOdds: cc.Label = null;

    public setValue(odds: number): void
    {
        this.labelOdds.string = this.getStringOddsFormat(odds);
        if (odds > 0)
        {
            this.show();
        } else
        {
            this.hide();
        }
    }

    private getStringOddsFormat(odds: number): string
    {
        return "1 : " + odds.toString();
    }

    private show(): void
    {
        this.node.active = true;
    }

    private hide(): void
    {
        this.node.active = false;
    }
}