import getDecorators from "inversify-inject-decorators";
import { container, CONTROLLER, RoomController } from "../../../plugins/core";

const { ccclass, property } = cc._decorator;
const { lazyInject } = getDecorators(container, false);

@ccclass
export default class RequestJoinRoom extends cc.Component
{
    @lazyInject(CONTROLLER.Room)
    private roomController: RoomController;

    private firstTime: boolean = true;

    public request(roomIndex: number): void
    {
        if (this.firstTime)
        {
            this.roomController.joinRoom(roomIndex);
            this.firstTime = false;
        } else
        {
            this.roomController.leaveRoom();
            this.roomController.joinRoom(roomIndex);
        }
    }
}
