const { ccclass, property } = cc._decorator;

@ccclass
export class SettingToggleButton extends cc.Component
{
    @property(cc.Label)
    labelToggle: cc.Label = null;
    @property(cc.Sprite)
    spriteToggle: cc.Sprite = null;

    @property(cc.SpriteFrame)
    spriteFrameToggleOn: cc.SpriteFrame = null;
    @property(cc.SpriteFrame)
    spriteFrameToggleOff: cc.SpriteFrame = null;
    @property(cc.String)
    stringToggleOn: string = '';
    @property(cc.String)
    stringToggleOff: string = '';

    public isOn: boolean = true;

    public onClickToggleButton(): void
    {
        this.isOn = !this.isOn;
        this.spriteToggle.spriteFrame = this.isOn ? this.spriteFrameToggleOn : this.spriteFrameToggleOff;
        this.labelToggle.string = this.isOn ? this.stringToggleOn : this.stringToggleOff;
    }
}